package com.vendor.platform.ui;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.platform.ui.WelcomeView;
import com.vendor.platform.ui.internal.BundleUtils;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;
import org.eclipse.core.runtime.Platform;
import org.eclipse.swt.widgets.Control;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.internal.registry.PerspectiveDescriptor;
import org.eclipse.ui.internal.registry.PerspectiveRegistry;
import org.osgi.framework.Bundle;

class null implements Runnable {
  public void run() {
    PerspectiveRegistry reg = (PerspectiveRegistry)PlatformUI.getWorkbench().getPerspectiveRegistry();
    Set<Map.Entry<String, Integer>> entrySet = needUpdatePerspectiveIDS.entrySet();
    Iterator<Map.Entry<String, Integer>> iterator = entrySet.iterator();
    while (iterator != null && iterator.hasNext()) {
      Map.Entry<String, Integer> next = iterator.next();
      String id = next.getKey();
      try {
        PerspectiveDescriptor perspective = (PerspectiveDescriptor)reg.findPerspectiveWithId(id);
        if (perspective != null && BundleUtils.isSuitForTool(perspective)) {
          if (WelcomeView.this.map.get(id) == null) {
            String toolName = "";
            String[] toolsMap = BundleUtils.TOOLS_AND_CLASSES_ARR[0];
            String[] classMap = BundleUtils.TOOLS_AND_CLASSES_ARR[1];
            for (int i = 0; i < classMap.length; i++) {
              String className = classMap[i];
              if (id.equals(className))
                toolName = toolsMap[i]; 
            } 
            Bundle bundle = Platform.getBundle(perspective
                .getPluginId());
            if (bundle != null) {
              WelcomeView.ToolModel toolModel = WelcomeView.this.computeToolModel(bundle);
              toolModel.setToolPerspective(id);
              toolModel.setToolName(toolName);
              WelcomeView.this.map.put(id, WelcomeView.this.createImageLink(toolModel));
            } 
          } 
          continue;
        } 
        Control remove = (Control)WelcomeView.this.map.remove(id);
        if (remove != null && !remove.isDisposed())
          remove.dispose(); 
      } catch (Exception e) {
        e.printStackTrace();
      } 
    } 
    WelcomeView.this.openBurnToolViewOrWelcomeView();
  }
}
